Subject: Re: bug#41669: Cross-compiled powerpc64-linux bootstrap-tarballs not reproducible

From: Leo Le Bouter <[email-masked]>
Date: Mon, 28 Dec 2020 13:39:23 +0100

On Sun, 2020-12-27 at 20:23 -0800, Chris Marusich wrote:
> If it's just for the sake of trying one last time, we could just add
> --cores=1 to the Guix invocations, or run everything in a single-core
> VM.  Wouldn't that have the same effect?

My system has an offload set up and somehow --cores=1 does not work, so
I needed this patch to make sure, also to optimize run-time I tried to
disable parallel build only for gcc.

I also tried to build only the gcc-static binary with:

$ ./pre-inst-env guix build --cores=1 --target=powerpc64le-linux-gnu -e
'(@@ (gnu packages make-bootstrap) %gcc-static)'